Skip to content

Authorized resources ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Authorize one or more resources to users, roles, groups, organizations and other entities, and specify different operation permissions for each.

Method name ​

ManagementClient.authorize_resources

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value
list<a AuthorizeResourceItem[]Yes-Authorization resource list Array length limit: 10.
namespacestringNo-Code of the permission group (permission space). Do not pass to obtain the default permission group.default

Request Response ​

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data Structure ​

AuthorizeResourceItem ​

NameTypeIs it required?DescriptionSample value
targetTypestringyesTarget object type:
- USER: user
- ROLE: role
- GROUP: group
- DEPARTMENT: department
USER
targetIdentifiersarrayyesTarget object unique identifier:
- If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c
- If it is a role, it is the role code, such as admin
- If it is a group, it is the group code, such as developer
- If it is a department, it is the department ID, such as 6343bafc019xxxx889206c4c
Array length limit: 100.
["userId1","userId2"]
resourcesarrayYesAuthorized resource list Nested type: <a ResourceItemDto.

ResourceItemDto ​

NameTypeRequiredDescriptionSample value
codestringYesResource unique identifierecs
actionsarrayYesOperation types defined by the resource Array length limit: 50.["ecs:Stop","ecs:Start"]
resourceTypestringyesResource type, such as data, API, button, menuDATA

IsSuccessDto ​

NameTypeIs it requiredDescriptionSample value
successbooleanyesWhether the operation was successfultrue